////////////////////////////////////////////////////////////////
// Autor : Regedit
// Data  : 2003-06-16
// Opis  : Program gwny
////////////////////////////////////////////////////////////////

#pragma once

class CMyApplication : public CApplication
{
protected:
	bool m_bShowFrameRate;
    RUNINFO RunInfo;
	CScreen* m_pScreen;

	void SetCurrentDir();
	void RenderFrameRate();

	void OneTimeSceneInit();
	void InitDeviceObjects();
	void RestoreDeviceObjects();
	void InvalidateDeviceObjects();
	void DeleteDeviceObjects();
	void Render();
	void FrameMove(DWORD dwCzas, DWORD dwDeltaCzas);
	void FinalCleanup();
	void ConfirmDevice( D3DCAPS9*, DWORD, D3DFORMAT );
	bool ParseRunInfoParameter(std::string sParameter);

public:
	LRESULT MsgProc( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam );
	CMyApplication();
	~CMyApplication();
	void ParseParameter(char *lpszParameter);
	bool Confirm();
};