class CMenuScreen : public CScreen
{
protected:
	bool m_bKoniec;

public:
	CMenuScreen(HWND hWnd, LPDIRECT3DDEVICE9 pDevice);
	~CMenuScreen();

	void InitDeviceObjects();
	void RestoreDeviceObjects();
	void InvalidateDeviceObjects();
	void DeleteDeviceObjects();
	void Render();
	void FrameMove(DWORD dwCzas, DWORD dwDeltaCzas);

	void KeyDown(WPARAM wKey);
	void KeyUp(WPARAM wKey);
	void Char(WPARAM wKey);
	void MouseMove(WORD x, WORD y);
	void MouseDown(WORD x, WORD y, SCREENMOUSEBUTTON button);
	void MouseUp(WORD x, WORD y, SCREENMOUSEBUTTON button);

	int GetState();
	DWORD GetBkgColor() { return 0xffffffff; }
};