////////////////////////////////////////////////////////////////
// Autor : Regedit
// Data  : 2003-06-16
// Opis  : Ekran intro
////////////////////////////////////////////////////////////////

#define INTROVERTEXCOUNT 36
#define INTROTIME 7500

class CIntroScreen : public CScreen
{
protected:
	LPDIRECT3DTEXTURE9 m_pTexture;
	LPDIRECT3DTEXTURE9 m_pWarsztatTexture;
	LPDIRECT3DVERTEXBUFFER9 m_pVB;

	DWORD m_dwStartCzas;
	DWORD Czas;
	bool m_bKoniec;

	void RenderWarsztat();

public:
	CIntroScreen(HWND hWnd, LPDIRECT3DDEVICE9 pDevice);
	~CIntroScreen();
	
	void InitDeviceObjects();
	void RestoreDeviceObjects();
	void InvalidateDeviceObjects();
	void DeleteDeviceObjects();
	void Render();
	void FrameMove(DWORD dwCzas, DWORD dwDeltaCzas);

	void KeyDown(WPARAM wKey);
	void MouseDown(WORD x, WORD y, SCREENMOUSEBUTTON button);

	int GetState();
};